<?php

/*
 * awframework from aw.inc present aw controller
 * it will help you develop easy and fast with secure tools
 * you can edit and add what you feel right
 * don't change in strucure of file
 */

require_once("imp/_imp.php");

class Controllers {

    //public vars
    public $smarty;
    public $hosturl;
    public $active;

    // it will run in everytime with
    // default requried
    public function __construct() {
        require_once("../public/aw_config.php");
        require_once("imp/_autho.php");//general functions
        $this->smarty = $smarty;
        $this->hosturl = $hosturl;
       
    }

    //here the frist page and
    //the frist action in this class
    public function index() {
       
        //call other class with other content
        $this->smarty->display('_main/500.html');
        
    }

    // at the end of class call
    public function __destruct() {
        //close connection
        R::close();
    }


}